Skip to content

Get permission group details in batches

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get permission group details in batches by using the permission group unique identifier (Code).

Method name

ManagementClient.get_namespaces_batch

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
codeListstring[]Yes-Permission group code list, batch can be separated by commas Array length limit: 50.code1,code2

Request Response

Type: NamespaceListRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
dataarraypermission group list

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "code": "my-namespace",
    "name": "My permission group",
    "description": "My permission group description"
  }
}

Data Structure

NamespaceDto

NameTypeIs it requiredDescriptionExample value
codestringyespermission group unique identifiermy-namespace
namestringnopermission group namemy permission group
descriptionstringnopermission group descriptionmy permission group description

Agent infrastructure for identity, memory, and web action.